/*

PNTDIFF, v1.1 -- REXX-script to compare two versions of pointlist or boss
segment and create news-report. Useful for NC's and pointlist makers.
Copyright (c) 1997 Konstantin Gilyov, 2:5000/72@fidonet.

*/

/*
****** H  ⠢  p ᢮    ******
*/
zone = '2'
net = '5020'

Call RxFuncAdd  SysLoadFuncs, RexxUtil, SysLoadFuncs
Call SysLoadFuncs

netz = zone':'net
parse upper arg file.new file.old outfile
if file.new = '' then file.new = 'pnt'net'.ndl'
if file.old = '' then file.old = 'old\'file.new
if file.old = '%O' then file.old = 'nul'
if outfile <> '' then call SysFileDelete outfile

drop pntnum.
pntnum.0 = 0
linnum.new = 0
linnum.old = 0
if stream( file.new, 'C', 'QUERY EXISTS' ) = '' then call fatal 'File 'file.new' not found'
if stream( file.old, 'C', 'QUERY EXISTS' ) = '' then call fatal 'File 'file.old' not found'
call getseg new
if pntnum.0 <> 0 then call fatal 'Missing Boss record in 'file.new
call getseg old
if pntnum.0 <> 0 then call fatal 'Missing Boss record in 'file.old

do forever
  drop pnt.
  drop pntnum.
  pntnum.0 = 0
  if next.new > next.old then do
    call lineout outfile, ''
    call lineout outfile, 'Boss 'netz'/'next.old' -- segment removed'
    changed = 'YES'
    call getseg old
    iterate
  end
  boss = next.new
  if boss = 65536 then do
    if changed <> 'YES' then do
      call lineout outfile, ''
      call lineout outfile, '  Nothing changed since previous update'
      call lineout outfile, ''
    end
    exit
  end
  bosstxt = 'Boss 'netz'/'boss' -- segment added'
  addtxt = ''
  if next.new = next.old then do
    bosstxt = 'Boss 'netz'/'boss' -- segment updated'
    addtxt = ' added'
    call getseg old
  end
  call getseg new
  do p = 1 to pntnum.0
    pp = pntnum.p
    if pnt.old.pp <> pnt.new.pp then call showpnt pntnum.p
  end
end
exit


getseg:
  tag = arg(1)
  do forever
    linnum.tag = linnum.tag + 1
    parse value linein( file.tag ) with key ',' addr ',' line
    if substr( key, 1, 1 ) = ';' then iterate
    if key = 'Boss' then do
      parse value addr with j '/' i
      if j <> netz then call fatal 'Invalid network: "'j'" in 'file.tag', line 'linnum.tag
      next.tag = i
      return
    end
    if key <> 'Point' then do
      if lines( file.tag ) <> 0 then call fatal 'Invalid keyword: "'key'" in 'file.tag', line 'linnum.tag
      next.tag = 65536
      return
    end
    call addpnt
    pnt.tag.addr = line
  end


addpnt:
  do i = 1 to pntnum.0 while addr > pntnum.i
  end
  if addr = pntnum.i then return
  do j = pntnum.0 to i by -1
    jj = j+1
    pntnum.jj = pntnum.j
  end
  pntnum.i = addr
  pntnum.0 = pntnum.0 + 1
  return


showpnt:
  if bosstxt <> '' then do
    call lineout outfile, ''
    call lineout outfile, bosstxt
    call lineout outfile, ''
    bosstxt = ''
    changed = 'YES'
  end
  i = arg(1)
  parse value pnt.old.i with old.system ',' old.place ',' old.sysop ',' old.phone ',' old.baud
  parse value pnt.new.i with new.system ',' new.place ',' new.sysop ',' new.phone ',' new.baud
  if pnt.new.i = 'PNT.NEW.'i then do
    call lineout outfile, '  Point 'i' ( 'old.sysop' ) removed'
    call lineout outfile, ''
    return
  end
  if pnt.old.i = 'PNT.OLD.'i then call lineout outfile, '  Point 'i' ( 'new.sysop' )'addtxt
  else call lineout outfile, '  Point 'i' ( 'new.sysop' ) changed'
  if old.system <> new.system then call lineout outfile, '    System       : 'new.system
  if old.place  <> new.place  then call lineout outfile, '    Location     : 'new.place
  if old.phone  <> new.phone  then call lineout outfile, '    Phone No     : 'new.phone
  if old.baud   <> new.baud   then call lineout outfile, '    Baud & flags : 'new.baud
  /*say pnt.old.i
  say pnt.new.i*/
  call lineout outfile, ''
  return


fatal:
  call lineout outfile, ''
  call lineout outfile, arg(1)
  call lineout outfile, ''
  exit
